Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class StackOverflowError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.VirtualMachineError
                  java.lang.StackOverflowError

All Implemented Interfaces:
  Serializable

    public class StackOverflowError

extends VirtualMachineError

Thrown when a stack overflow occurs because an application recurses too deeply.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`StackOverflowError()` Constructs a `StackOverflowError` with no detail message.
`StackOverflowError(String s)` Constructs a `StackOverflowError` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackOverflowError

    public StackOverflowError()

  Constructs a `StackOverflowError` with no detail message.

### StackOverflowError

    public StackOverflowError(String s)

  Constructs a `StackOverflowError` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.